<section>
  <div class="type-selection">
    <mat-form-field>
      <mat-label>Type</mat-label>
      <mat-select *ngIf="isFinance" [(value)]="selected">
        <mat-option *ngFor="let type of pageTypes" [value]="type" (click)="updatePage(type.code)">
          {{type.name}}
        </mat-option>
      </mat-select>
      <mat-select *ngIf="isHr" [(value)]="hrSelected">
        <mat-option *ngFor="let type of hrPageTypes" [value]="type" (click)="updatePage(type.code)">
          {{type.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <mat-tab-group mat-align-tabs="center" [selectedIndex]="0">
    <mat-tab label="Operation History" *ngIf="userType != 'GeneralManager'">
      <div>
        <app-operation-history-molecule [page]="page" processType="Operation History"></app-operation-history-molecule>
      </div>
    </mat-tab>
    <mat-tab label="Approval Dashboard">
      <div>
        <app-approved-dashboard-molecule [page]="page"></app-approved-dashboard-molecule>
      </div>
    </mat-tab>
    <mat-tab label="Financial entry" *ngIf="!isHr && page !== 'GL'">
      <div>
        <app-financial-entry-molecule [page]="page"></app-financial-entry-molecule>
      </div>
    </mat-tab>
  </mat-tab-group>
</section>